Jump to content
selectshop.at

Versao 1.7. foi lancada - perguntas & respostas

Recommended Posts

A primeira versão Beta para PrestaShop 1.7.0.0 está pronta para você testar! NÃO ACONSELHAMOS USAR ESTA VERSÃO EM PRODUÇÃO !!!

Ontem Prestashop anunciou a primeira versão 1.7.0.0 Beta. Prestashop espera receber o feedback de comerciantes, prestadores de serviços, desenvolvedores de módulos ou designer de temas/templates.

PrestaShop 1.7.0.0 ainda está em desenvolvimento, o que significa que esta versão Beta é uma grande oportunidade para você aprender a trabalhar com ela, antes de lançar uma versão estável!
Faça o download e instale esta versão Beta em uma loja de teste no seu espaço web ou máquina local. Aguardamos o seu feedback!

O lançamento desta primeira versão Beta começa um período de testes intensivos e melhoria para os desenvolvedores PrestaShop, em conjunto com a ajuda de toda a comunidade.

Crie produtos, ative módulos, configure o tema padrão, verifique se os módulos que você criou ainda funcionam, etc. E o mais importante, deixe-nos saber o que pode encontrar de problemas !
 

Versões Beta posteriores e versões RC serão  lançadas conforme necessário.

O que você precisa saber sobre PrestaShop 1.7.0.0

 A v
ersão 1.7.0.0 é o próximo grande lançamento do PrestaShop, seguindo a versão 1.6.1.0. Esta versão principal visa em simplificar a criação de uma loja e produtos, para facilitar o caminho para a sua primeira venda. Ela consiste de quatro projetos principais:

 

Melhora na maneira de criar e manter um tema:

  • Um novo tema padrão (elegante e eficiente).
  • Um tema de modelo para ajudar os designers a criar um tema novo na metade do tempo que lera necessário com PrestaShop 1.6. 

Dashboard arrumado:

  •  Um novo onboarding para iniciantes.
  •  Um fluxo de trabalho de criação de produto simplificado.
  •  Encontrar facilmente instalado e módulos não-instalado.

Estrutura do interface de administração melhorada, focada em realizar tarefas comuns mais rapidamente.

 

Nova arquitetura à base do framework Symfony2.

 

 

NOTA: Não existe nenhuma previsão de lançamento para a versão estável. Quando estiver pronta, será anunciuada.

 

Se você tiver mais perguntas, procure nos FAQ!
 

 

Como dar feedback sobre o Beta 1

Você encontrou um bug? Um comportamento curioso? Uma reação inesperada? Nos informe! Criar um bilhete com todos os detalhes (somente em Inglês) no projeto forge 1.7. do bug tracker.

 

Por favor, note que não estamos à procura de feedback sobre as escolhas técnicas ou de concepção global: Symfony2, a nova arquitetura base, o novo tema padrão, o design do back-office e outros aspectos globais da versão 1.7. já foram definidas e nao terão alteração. Entretanto se vc. encontrar bugs ou possíveis melhorias nesta nova concepção, deixe-nos saber!

 

O que (ainda) está em andamento

Lembramos que esta é a primeira versão beta da versão 1.7.0.0: um monte de coisas ainda não estão prontas, ou está pronto, mas ainda não está disponíveel. Estamos cientes disso, e estamos trabalhando nisso agora.

A lista abaixo resume o que ainda está em aberto e precisa ser feito. Tudo isso acabará por ser fixada para a versão estável - e você pode ajudar com pull-pedidos no GitHub, e feedback de seus próprios testes!


Core

  • Se o seu web hosting usa PHP-FPM, alguns links (e imagens) poderão estar quebrados.
  • Multilojas e a gestão avançada de estoque ainda não foram liberados, portanto não funcionam.
  • O cabeçalho e a navegação pode variar (ligeiramente) entre as páginas.
  • permissões de empregados ainda não funcionam adequadamente
  • Se ocorrer um problema ao carregar um tema, não podemos lhe dizer atualmente o porque :) Com efeito, avisos e mensagens de erro ainda não foram totalmente definidos. E em qualquer caso, o seu tema 1.5-1,6 tema não irá funcionar com o novo sistema 1.7 (veja o FAQ).

Front office

  • O tema clássico ainda não é responsivo.

Back office

  • Algumas imagens estão quebradas, alguns botões e abas podem ter comportamento estranho. Estamos cientes deste problema Todos eles serão fixados em tempo para o lançamento da versão estável.
  • O back-office em muitos lugares ainda nao possue comportamente responsivo. Especialmente telas de 13" nao funcionam corretamente.
  • CSV Export consume uma grande quantidade de memória e, portanto não funciona em algumas hospedagens compartilhadas.

Página do produto

  • Problemas de desempenho na entrada de dados na página do produto em algumas hospedagens compartilhadas, respondendo com uma página branca. Estamos trabalhando nisto.

Módulos

  • Melhora na página de listagem dos módulos: uma melhor classificação, mais informações, categorias reformuladas, etc.

Conteúdo

  • Interface de direitos autorais ainda não definitiva. Algumas partes precisam ser reescritas, outras estão à espera de uma reescrita e outras estão em revisão.
  • produtos padrão ainda são os usados ​​na versão 1.6. Versão 1.7 deve ter um conjunto novo de produtos.
  • Traduções ainda em aberto, estamos trabalhando na melhoria do sistema: por enquanto o dashboard está somente em Inglês.

Documentação

  • A ajuda contextual ainda exibe a documentação de 1.6.  No momento estamos atualizando a mesma para 1.7. Esperamos que seja concluído para a versão RC!.
  • A documentação técnica para os módulos e temas devem seguir o mesmo cronograma.

 

Nota final!
Agradecemos esta nova versão à <3 pessoas de nossa equipe e nossa maravilhosa comunidade. Apesar de ainda não estar pronta, estamos muito orgulhosos do trabalho feito.

Vamos acompanhar de perto o seu feedback, estamos ansiosos sobre o seu veredito!


Bons testes !

  • Like 4

Share this post


Link to post
Share on other sites

Tenho recebido vários e-mails e mensagens privadas com questões relacionadas com a nova versão do Prestashop, a tão esperada versão 1.7, onde praticamente tudo muda.

Quem quiser fazer o download da versão beta, aceda ao tópico Versão 1.7. Beta 1 foi lançada criado pelo selectshop.at onde tem muita informação útil.

Passemos às principais questões:
 

  • Posso atualizar facilmente a partir da versão 1.6?

A resposta é NÃO. Na versão 1.7 vai haver incompatibilidade com versões anteriores.

 

  • Os temas vão ser compatíveis?

A resposta é NÃO. Garantidamente o teu tema vai ter de ser reprogramado.

 

  • Utilizo vários módulos, sendo os de pagamento os mais importantes. Há compatibilidade?

Vais ter que te certificar que módulos são compatíveis, grande parte deles não vão ser. A maior parte das empresas que gere o processamento de pagamentos online, vai fornecer versões gratuitas compatíveis com a última versão.

 

  • Vou perder os meus clientes, histórico de encomendas e produtos?

A resposta é NÃO. Estamos a trabalhar num módulo para extrair os teus dados (encomendas, clientes, produtos).

 

Espero que as questões acima já esclareçam partes das dúvidas. Alguma dúvida que necessitem de ver respondida, basta perguntar, só não respondo se não souber ou se não for ainda o momento certo para se divulgar :)

Quanto à versão 1.7 só tenho a dizer que está um ESPECTÁCULO!

 

Até breve!

 

  • Os temas vão ser compatíveis?

A resposta é NÃO. Garantidamente o teu tema vai ter de ser reprogramado.

 

  • Like 1

Share this post


Link to post
Share on other sites

Não sei se vale a pena abrir um novo tópico pra versão 1.7.0 oficial...

 

Particularmente não gostei nada dessa bagunça de Smarty em uma página, Simfony na outra, e tirar toda a lógica e objetos dos templates, deixando só arrays.

Acho que a performance vai ficar uma b... ao quadrado. O desenvolvimento, pior.

 

No post do Build sobre performance, o Lesley Paone  explicou mais ou menos o que eu acho: Estão tentando comparar o tema padrão da 1.7 (teoricamente leve) com o tema padrão da 1.6, que seria mais "pesado", e o tema da 1.6 ainda está melhor... Imagina quando sairem os temas tipo "ThemeForest", com dezenas de JS externos e aquela bagunça que fazem pra tentar deixar os temas do PrestaShop customizáveis pelo BackOffice, tipo joomla ou wordpress... =/

 

Eu vou começar a atualizar meus módulos, mas provavelmente só vou utilizar a versão 1.7 em um projeto novo quando sair a versão 1.7.1 ou 1.7.2.

Ou talvez quando decidirem qual motor de templates vai ficar.

 
Abraços
  • Like 2

Share this post


Link to post
Share on other sites

Nao me foi possível instalar 1.7.0.0. Abri um ticket e agora saiu 1.7.0.1. Consegui instalar, mas para falar a verdade, nao vale a pena. Quase nao existem módulos, somente alguns nativos, que na verdade nao sao o que usuários que realmente vendem necessitam.

 

Tmbm. eu vou aguardar 1.7.1. ou 1.7.2.

 

Temas do templateMonster para 1.7. já saíram. Quanto à qualidade dos mesmos eu nao posso dizer nada, mas se for da mesma para 1.5. e 1.6. entao continuo a nao recomendar, justamente pelo motivo que citou. Dezena de scripts externos mal adpatados para servir o Prestashop.

 

REMARK: eu nao sei se somente é impressao minha, mas a versao PS 1.7 em comparacao com os outros pulos grandes de versao na verdade nao possue módulos nativos que sejam de grande ajuda para vendedores/usuários. Tenho a impressao que o Prestashop está comprimindo as funcoes nativas à um mínimo para depois vender solucoes prestáveis... Um + para quem está codando para o Prestashop, um grande - para quem vende e procura uma solucao barata... Mas pode ser que esta impressao é somente minha, que já usa o Prestashop desde a versao 1.3.

Share this post


Link to post
Share on other sites

Percebi isso também, Conny.

Provavelmente a ideia é: menos módulos default = mais módulos no addons.

 

Mas o que deveria sair do core para ficar mais leve e simples, que é a opção de multilojas, não tiraram...

 

#Oremos.

  • Like 1

Share this post


Link to post
Share on other sites

Boas pessual nessa nova versão nao consigo inserir produtos quando tento salvar ele diz que é impossivel

Chega sexta-feira a versão 1.7.1 :)

Share this post


Link to post
Share on other sites

A versão 1.7.1.0 chega já na sexta-feira e vem com mais módulos nativos, como por exemplo:

 

* ps_bestsellers (antigamente blockbestsellers)

* ps_brandlist (antigamente blockmanufacturer)

* ps_crossselling (antigamente crossselling)

* ps_emailalert (antigamente mailalert) *

* ps_newproducts (antigamente blocknewproducts)

* ps_productinfo (antigamente producttooltip)

* ps_rssfeed (antigamente blockrss)

* ps_specials (antigamente blockspecials)

* ps_viewedproduct (antigamente blockviewed) 

e ainda a exportação dos temas agora inclui os idiomas!
 

O BACKOFFICE viu melhorias em várias partes. Destaco a navegação móvel onde melhoramos a capacidade de resposta e agora fornecemos um design único.

Sobre o módulo Atualização 1-Click vou apenas dizer isto:
 
* Agora podes atualizar de 1.6 para 1.7.1.0.
 
* O módulo vai permitir a exportação/importação em 1.7 de todos os seus dados: informações dos produtos, imagens, arquivos anexados, etc.
 
* Advertirá sobre o que significa "atualizar" para uma versão principal.
 
Há algumas coisas que não dá para atualizar automaticamente:
 
* Converter temas 1.6 em 1.7. A sua loja mudará para o Classic, o tema padrão da versão 1.7.
 
* Verificar a compatibilidade dos módulos 1.6 em 1.7

A gestão de stocks só virá na versão 1.7.2.
 
Curiosos sobre as restantes novidades? Sexta-feira falamos! :)
 

 

  • Like 1

Share this post


Link to post
Share on other sites

Sim, só que ainda cheia de bugs. Sinto, mas ainda continuo a desaconselhar o uso em producao. Veja tmb. a discussao no fórum Inglês, aonde realmente o core do Prestashop que usa dese a versao 1.3. está discutindo, ou seja os craques nao somente na parte de desenvolvimento, mas sim a maais iportante que sao tmb. usuários.

 

Como em algumas versoes passadas foi melhor esperar mesmo a versao x.2. ou seja neste caso 1.7.2.!

Share this post


Link to post
Share on other sites

Sim, só que ainda cheia de bugs. Sinto, mas ainda continuo a desaconselhar o uso em producao. Veja tmb. a discussao no fórum Inglês, aonde realmente o core do Prestashop que usa dese a versao 1.3. está discutindo, ou seja os craques nao somente na parte de desenvolvimento, mas sim a maais iportante que sao tmb. usuários.

 

Como em algumas versoes passadas foi melhor esperar mesmo a versao x.2. ou seja neste caso 1.7.2.!

Em parte concordo com a tua opinião. Tenho alguns clientes com 1.7.x e corre dentro do normal. Não é aconselhável em lojas mais "burocráticas", nomeadamente quando necessitamos de gestão de stocks etc. mas corre bem.

 

Quem procura uma versão bastante estável sem dúvida 1.7 ainda não é a solução.

Mensalmente vão haver atualizações, este é o compromisso da prestashop. Vamos ver :)

Share this post


Link to post
Share on other sites

Tive oportunidade de testar esta versão e para lojas sem necessidade de funções especiais funciona bem. Quem quiser o máximo de estabilidade e menos chatice sem dúvida a versão 1.6.
 

Share this post


Link to post
Share on other sites

Mesmo que ainda nao aconselhamos o uso produtivo da versao PS 1.7. versoes PS inferiores já podem ser atualizadas com o módulo 1-clique-upgrade na versao 3.

 

Para quem quiser testar, download aqui: https://addons.prestashop.com/en/data-migration-backup/5496-.html

 

1) Escolha a versao 3.0 do módulo nas opcoes de download.

2) Desempacote o pacote zip na sua máquina local.

3) Renomeia a pasta /modules/autoupgrade no seu FTP para outro nome (por ex. /autoupgradeold)

4) suba a pasta autoupgrade para o seu FTP em /modules/.

5) faca o upgrade da loja com de costume na aba "módulos -> módulos -> 1-click-upgrade"

 

Faca o teste somente em loja clonada, nao assumimos qualquer responsabilidade de lojas produtivas quebradas !!!!

  • Like 1

Share this post


Link to post
Share on other sites

A versao 1.7.2 está com um bug de lerdeza já em trabalho. http://forge.prestashop.com/browse/BOOM-3551

 

Olá,

sim é provável que o problema é com Nginx. Eu estou testando este 1.7.2 no meu Vps com Apache 2.4, php 5.6 ( quando tenho tempo passo ao 7 ) , opcache etc....e devo dizer que é estremamente rapido sobretudo no front mas tambem no B.O. Por enquanto ainda não tenho problemas. Eu acho que a estruttura do template é  o maior melhoria a respeito da versão 1.6.1.xx!!. Acho que neste aspecto fizeron um bom trabalho, vamos ver se a 1.7 começa a ficar mais estavel......

 

ciao

Share this post


Link to post
Share on other sites

"

 

 

  • Vou perder os meus clientes, histórico de encomendas e produtos?

A resposta é NÃO. Estamos a trabalhar num módulo para extrair os teus dados (encomendas, clientes, produtos).

 

Espero que as questões acima já esclareçam partes das dúvidas. Alguma dúvida que necessitem de ver respondida, basta perguntar, só não respondo se não souber ou se não for ainda o momento certo para se divulgar :)

Quanto à versão 1.7 só tenho a dizer que está um ESPECTÁCULO!"

 

 

ola, Ja Criaram o modulos para esta situaçao ?

Share this post


Link to post
Share on other sites

@ Pascoalsoares - nao entendi a sua pergunta. Verifique aqui neste tópico. Já existe um módulo 1-clique para fazer upgrade PS 1.5/1.6 para PS 1.7.

 

 

On 26.7.2017 at 10:14 AM, selectshop.at said:

Mesmo que ainda nao aconselhamos o uso produtivo da versao PS 1.7. versoes PS inferiores já podem ser atualizadas com o módulo 1-clique-upgrade na versao 3.

 

Para quem quiser testar, download aqui: https://addons.prestashop.com/en/data-migration-backup/5496-.html

 

1) Escolha a versao 3.0 do módulo nas opcoes de download.

2) Desempacote o pacote zip na sua máquina local.

3) Renomeia a pasta /modules/autoupgrade no seu FTP para outro nome (por ex. /autoupgradeold)

4) suba a pasta autoupgrade para o seu FTP em /modules/.

5) faca o upgrade da loja com de costume na aba "módulos -> módulos -> 1-click-upgrade"

 

Faca o teste somente em loja clonada, nao assumimos qualquer responsabilidade de lojas produtivas quebradas !!!!

 

 

 

On 16.8.2017 at 11:46 AM, pascoalsoares said:
 

Quanto à versão 1.7 só tenho a dizer que está um ESPECTÁCULO!"

 

 

Em qual sentido ? Uma versao cheia de bugs aonde features importantes foram removidos.... Eu nao sou fa da versao, outra que é uma versao híbrida sem arquitetura nenhuma.... Queriam sair do smarty e ir para o symfony framework, o que deu ? Nada volveram para uma versao híbrida com códigos incompatíveis entre sí. Eu estou esperando para sair 1.8 que vai ser 100% Symfony em vez de remendos de um e de outro.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More